# rshared_object Class Reference

Replaceable Shared Object Base Class. More...

`#include <ETL/handle>`

Inheritance diagram for rshared_object:

List of all members.

## Public Member Functions

void | rref () const
void | runref () const
int | rcount () const

## Public Attributes

void * | front_
void * | back_

## Protected Member Functions

| rshared_object ()

## Private Attributes

int | rrefcount

## Detailed Description

Replaceable Shared Object Base Class.

See also:
  rhandle

Todo:
  This needs to be documented

Definition at line 332 of file _handle.h.

## Constructor & Destructor Documentation

rshared_object::rshared_object | ( |  | ) | `[inline, protected]`

Definition at line 342 of file _handle.h.

## Member Function Documentation

void rshared_object::rref | ( |  | ) | const`[inline]`

Definition at line 345 of file _handle.h.

References rrefcount.

void rshared_object::runref | ( |  | ) | const`[inline]`

Definition at line 348 of file _handle.h.

References rrefcount.

int rshared_object::rcount | ( |  | ) | const`[inline]`

Definition at line 354 of file _handle.h.

References rrefcount.

## Member Data Documentation

int rshared_object::rrefcount `[mutable, private]`

Definition at line 335 of file _handle.h.

Referenced by rcount(), rref(), and runref().

void* rshared_object::front_

Definition at line 338 of file _handle.h.

void* rshared_object::back_

Definition at line 339 of file _handle.h.

The documentation for this class was generated from the following file:

- _handle.h